%define name		xchat-systray-integration
%define version		2.4.5
%define release		2%{_my_ext}
%define summary		SysTray (Notification Area) Plugin for XChat2

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
Group:		Networking/Chat
License:	GPL
URL:		http://blight.altervista.org/
Source:		http://prdownloads.sourceforge.net/xchat2-plugins/xchat-systray-integration-%{version}-src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel
Requires:	xchat > 2.0.4
Obsoletes:	xchat-systray-plugin
Provides:	xchat-systray-integration

%description
This plugin integrates XChat2 with the systray.
Works good with Gnome and KDE. It allows you to minimize and maximize XChat to the systray
and provides notification for lots of events like alerts, dccs, private messages, kills, disconnections, invites etc..
It provides an intelligent multiserver away system too, and some links to usually used applications.
All options can be setted by intuitive GUI tab, with an updates-checking system too.

Please make sure you set the images path in the settings first !!
That path is "/usr/lib/xchat/plugins/images/"

%prep
%setup -q

%build
%make CFLAGS="%optflags -Wall -fPIC"

%install

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/xchat/plugins/
cp systray.so %{buildroot}%{_libdir}/xchat/plugins/systray.so
cp src/images %{buildroot}%{_libdir}/xchat/plugins/images -r
rm -rf %{buildroot}%{_libdir}/xchat/plugins/images/Win32Tray/
chmod -R 0644 %{buildroot}%{_libdir}/xchat/plugins/images/*/*.png
chmod 0644 Docs/*

%files
%defattr(-,root,root)
/usr/lib/xchat/plugins/systray.so
   /usr/lib/xchat/plugins/images/GTKTray/dccalert.png
   /usr/lib/xchat/plugins/images/GTKTray/disconnected.png
   /usr/lib/xchat/plugins/images/GTKTray/goaway.png
   /usr/lib/xchat/plugins/images/GTKTray/invited.png
   /usr/lib/xchat/plugins/images/GTKTray/notifyin.png
   /usr/lib/xchat/plugins/images/GTKTray/notifyout.png
   /usr/lib/xchat/plugins/images/GTKTray/xchat.png
   /usr/lib/xchat/plugins/images/GTKTray/xchatblue.png
   /usr/lib/xchat/plugins/images/GTKTray/xchatred.png
   /usr/lib/xchat/plugins/images/Menu/backaway.png
   /usr/lib/xchat/plugins/images/Menu/browser.png
   /usr/lib/xchat/plugins/images/Menu/email.png
   /usr/lib/xchat/plugins/images/Menu/goaway.png
   /usr/lib/xchat/plugins/images/Menu/help.png
   /usr/lib/xchat/plugins/images/Menu/max.png
   /usr/lib/xchat/plugins/images/Menu/min.png
   /usr/lib/xchat/plugins/images/Menu/player.png
   /usr/lib/xchat/plugins/images/Menu/quit.png
   /usr/lib/xchat/plugins/images/Menu/settings.png
   /usr/lib/xchat/plugins/images/Menu/stop.png

%pre
rm -fr /usr/lib/xchat/plugins/images/*
rm -fr /usr/lib/xchat/plugins/systray.so
rm -fr /usr/local/lib/xchat/plugins/systray.so

%post
mkdir -p /usr/lib/xchat/plugins/images
mkdir -p /usr/local/lib/xchat/plugins/
ln -s /usr/lib/xchat/plugins/systray.so /usr/local/lib/xchat/plugins/systray.so

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Sun Jan 15 2006 Scott Grayban <sgrayban@borgnet.us> 2.4.5-2bng
- Removed Win32 icons
- root doesn't need execution right on the icons/doc
- add -fPIC

* Mon Oct 10 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.5-1bng
 - rebuild for 2006

* Tue Sep 13 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - rebuild against xchat-2.4.5

* Wed Jul 13 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - rebuild against xchat-2.4.4

* Mon Apr 18 2005 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - rebuild against xchat-2.4.3

* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - rebuild for right extension

* Mon Nov 29 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - Fixed undefined symbol: g_return_if_fail_warning

* Sat Nov 27 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - changed name since is conflicts with a old version in the mdk contrib

* Sat Nov 27 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.5
 - Rebuild for xchat 2.4.1

* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 2.4.5
  - Re-Build for MDK 10.1
  - New perl 5.8.5 required rebuild for 10.1

* Fri Jul 23 2004 <sgrayban@borgnet.us> 2.4.5
  - Rebuild against currrent xchat-2.0.10
  - xchat-plugin.h header file

* Wed Jul 21 2004 <sgrayban@borgnet.us> 2.4.5
  - Fixed bad %postun and created %pre

* Wed Jul 21 2004 <sgrayban@borgnet.us> 2.4.5
  - Fixed the file path for images

* Mon Jul 19 2004 <sgrayban@borgnet.us> 2.4.5
  - rebuilded for new tray/menu icon's
  - rebuilded for Mandrake 10
